<?php 

//=============================================================
// Color reset
//=============================================================
if ( ! function_exists( 'newie_reset_colors' ) ) :

    function newie_reset_colors($data) {

    	 $defaults = newie_default_theme_options();

        $default=array();
         
         $default['newie_top_header_background_color']   =  $defaults['newie_top_header_background_color'];
          $default['newie_top_footer_background_color']    = $defaults['newie_top_footer_background_color'];
       
         $default['newie_primary_color']                  = $defaults['newie_primary_color']; 
     
        // Google Font url
         $default['newie_font_url']            = $defaults['newie_font_url']; 
         $default['newie_site_desc_font_url']  = $defaults['newie_site_desc_font_url']; 
         $default['newie_menu_font_url']       = $defaults['newie_menu_font_url'];  
         $default['newie_paragraph_font_url']  = $defaults['newie_paragraph_font_url'];  
         $default['newie_heading_font_url']    = $defaults['newie_heading_font_url'];   

         // Font Name
        $default['newie_font_family']            = $defaults['newie_font_family']; 
        $default['newie_site_desc_font_family']  = $defaults['newie_site_desc_font_family']; 
        $default['newie_menu_font_family']       = $defaults['newie_menu_font_family']; 
        $default['newie_paragraph_font_family']  = $defaults['newie_paragraph_font_family']; 
        $default['newie_heading_font_family']    = $defaults['newie_heading_font_family']; 
            
        // Font Size
        $default['newie_font_size']            = $defaults['newie_font_size']; 
        $default['newie_site_desc_font_size']  = $defaults['newie_site_desc_font_size']; 
        $default['newie_menu_font_size']       = $defaults['newie_menu_font_size']; 
        $default['newie_paragraph_font_size']  = $defaults['newie_paragraph_font_size']; 
        $default['newie_h1_font_size']         = $defaults['newie_h1_font_size'];   
        $default['newie_h2_font_size']         = $defaults['newie_h2_font_size'];    
        $default['newie_h3_font_size']         = $defaults['newie_h3_font_size']; 
        $default['newie_h4_font_size']         = $defaults['newie_h4_font_size']; 
        $default['newie_h5_font_size']         = $defaults['newie_h5_font_size']; 
        $default['newie_h6_font_size']         = $defaults['newie_h6_font_size']; 
       
        // Font Weight
        $default['newie_font_weight']            = $defaults['newie_font_weight']; 
        $default['newie_site_desc_font_weight']  = $defaults['newie_site_desc_font_weight']; 
        $default['newie_menu_font_weight']       = $defaults['newie_menu_font_weight']; 
        $default['newie_paragraph_font_weight']  = $defaults['newie_paragraph_font_weight']; 
 
        // Font Style
        $default['newie_font_style']            = $defaults['newie_font_style']; 
        $default['newie_site_desc_font_style']  = $defaults['newie_site_desc_font_style']; 
        $default['newie_menu_font_style']       = $defaults['newie_menu_font_style']; 
        $default['newie_paragraph_font_style']  = $defaults['newie_paragraph_font_style']; 

       // Font Line Height

        $default['newie_line_height']            = $defaults['newie_line_height']; 
        $default['newie_site_desc_line_height']  = $defaults['newie_site_desc_line_height']; 
        $default['newie_menu_line_height']       = $defaults['newie_menu_line_height']; 
        $default['newie_paragraph_line_height']  = $defaults['newie_paragraph_line_height']; 
     
       // Font Letter Space
        $default['newie_letter_space']            = $defaults['newie_letter_space']; 
        $default['newie_site_desc_letter_space']  = $defaults['newie_site_desc_letter_space']; 
        $default['newie_menu_letter_space']       = $defaults['newie_menu_letter_space']; 
        $default['newie_paragraph_letter_space']  = $defaults['newie_paragraph_letter_space']; 
      
        // top to button scroll

         $default['newie_top_scroll_icon_color']  = $defaults['newie_top_scroll_icon_color']; 
         $default['newie_top_scroll_bg_color']    = $defaults['newie_top_scroll_bg_color']; 
          
         //color
               
          $default['newie_link_color_option']        = $defaults['newie_link_color_option']; 
          $default['newie_link_hover_color_option']  = $defaults['newie_link_hover_color_option']; 
          $default['newie_heading_color_option']     = $defaults['newie_heading_color_option']; 

        // Default Color Options

           
          $default['newie_top_footer_text_color']           = $defaults['newie_top_footer_text_color']; 
          $default['newie_top_footer_title_color']          = $defaults['newie_top_footer_title_color']; 
          $default['newie_bottom_footer_background_color']  = $defaults['newie_bottom_footer_background_color']; 
          $default['newie_bottom_footer_text_color']        = $defaults['newie_bottom_footer_text_color']; 
          $default['newie_site_tagline_color_option']       = $defaults['newie_site_tagline_color_option']; 
          $default['newie_site_title_color_option']         = $defaults['newie_site_title_color_option']; 
          $default['newie_site_title_hover_color_option']   = $defaults['newie_site_title_hover_color_option']; 
          $default['newie_body_paragraph_color_option']     = $defaults['newie_body_paragraph_color_option']; 
          $default['newie_menu_navbar_bg_color_option']     = $defaults['newie_menu_navbar_bg_color_option']; 
          $default['newie_menu_active_color_option']        = $defaults['newie_menu_active_color_option']; 
          $default['newie_menu_hover_color_option']         = $defaults['newie_menu_hover_color_option']; 
          $default['newie_menu_text_color_option']          = $defaults['newie_menu_text_color_option']; 
          $default['newie_slider_color_option']             = $defaults['newie_slider_color_option']; 
          $default['newie_top_header_text_color']           = $defaults['newie_top_header_text_color']; 
          $default['newie_slider_bg_color_option']          = $defaults['newie_slider_bg_color_option']; 

      

          $default['newie_primary_color']                  = $defaults['newie_primary_color']; 

          $default['newie_color_reset_option']              = $defaults['newie_color_reset_option']; 
       
 

        set_theme_mod('newie_theme_options', $default);  

    }

endif;
add_action( 'newie_reset_colors','newie_reset_colors', 10 );
