<?php

/**

 * Dynamic css

 *

 * @package Canyon Themes

 * @subpackage Newie

 *

 * @param null

 * @return void

 *

 */

if ( !function_exists('newie_dynamic_css') ):

    function newie_dynamic_css(){

    $newie_theme_options  = newie_get_theme_options();
   
   /*====================Basic Color=====================*/

    $newie_primary_color            = $newie_theme_options['newie_primary_color'];

    $newie_top_header_bg_color      = $newie_theme_options['newie_top_header_background_color'];

    $newie_top_footer_bg_color      = $newie_theme_options['newie_top_footer_background_color'];

    $newie_top_footer_title_color   = $newie_theme_options['newie_top_footer_title_color'];

    $newie_top_footer_border_color  = $newie_theme_options['newie_top_footer_border_color'];

    $newie_top_footer_text_color    = $newie_theme_options['newie_top_footer_text_color'];

    $newie_bottom_footer_bg_color   = $newie_theme_options['newie_bottom_footer_background_color'];

    $newie_bottom_footer_text_color = $newie_theme_options['newie_bottom_footer_text_color'];

    $newie_site_title_color         = $newie_theme_options['newie_site_title_color_option'];

    $newie_site_title_hover_color   = $newie_theme_options['newie_site_title_hover_color_option'];

    $newie_site_tagline_color       = $newie_theme_options['newie_site_tagline_color_option'];

    $newie_body_paragraph_color     = $newie_theme_options['newie_body_paragraph_color_option'];

    $newie_heading_h1_h6_color      = $newie_theme_options['newie_heading_color_option'];

    $newie_link_color               = $newie_theme_options['newie_link_color_option'];

    $newie_link_hover_color         = $newie_theme_options['newie_link_hover_color_option'];


    /*====================Advance Color=====================*/

    $newie_navbar_bg_color          = $newie_theme_options['newie_menu_navbar_bg_color_option'];

    $newie_menu_text_color          = $newie_theme_options['newie_menu_text_color_option'];

    $newie_menu_text_hover_color    = $newie_theme_options['newie_menu_hover_color_option'];

    $newie_menu_active_color        = $newie_theme_options['newie_menu_active_color_option'];

    $newie_slider_text_color        = $newie_theme_options['newie_slider_color_option'];

    $newie_slider_box_bg_color        = $newie_theme_options['newie_slider_bg_color_option'];


   /*====================Top Scroll Color=====================*/

    $newie_top_scroll_bg_color      =     $newie_theme_options['newie_top_scroll_bg_color'];

    $newie_top_scroll_icon_color    =     $newie_theme_options['newie_top_scroll_icon_color'];


  /*====================Site Title Typography=====================*/
    
    $newie_site_title_font_family   =     $newie_theme_options['newie_font_family'];

    $newie_site_title_font_size     =     $newie_theme_options['newie_font_size'];

    $newie_site_title_font_weight   =     $newie_theme_options['newie_font_weight'];

    $newie_site_title_font_style    =     $newie_theme_options['newie_font_style'];

    $newie_site_title_font_height   =     $newie_theme_options['newie_line_height'];

    $newie_site_title_font_space   =     $newie_theme_options['newie_letter_space'];



  /*====================Site Description Typography=====================*/
    
    $newie_site_des_font_family   =     $newie_theme_options['newie_site_desc_font_family'];

    $newie_site_des_font_size     =     $newie_theme_options['newie_site_desc_font_size'];

    $newie_site_des_font_weight   =     $newie_theme_options['newie_site_desc_font_weight'];

    $newie_site_des_font_style    =     $newie_theme_options['newie_site_desc_font_style'];

    $newie_site_des_font_height   =     $newie_theme_options['newie_site_desc_line_height'];

    $newie_site_des_font_space    =     $newie_theme_options['newie_site_desc_letter_space'];  


  /*==================== Menu Typography =====================*/
    
    $newie_site_menu_font_family   =     $newie_theme_options['newie_menu_font_family'];

    $newie_site_menu_font_size     =     $newie_theme_options['newie_menu_font_size'];

    $newie_site_menu_font_weight   =     $newie_theme_options['newie_menu_font_weight'];

    $newie_site_menu_font_style    =     $newie_theme_options['newie_menu_font_style'];

    $newie_site_menu_font_height   =     $newie_theme_options['newie_menu_line_height'];

    $newie_site_menu_font_space    =     $newie_theme_options['newie_menu_letter_space'];       


  /*====================Paragraph Typography=====================*/
    
    $newie_paragraph_font_family     =     $newie_theme_options['newie_paragraph_font_family'];

    $newie_paragraph_font_size       =     $newie_theme_options['newie_paragraph_font_size'];

    $newie_paragraph_font_weight     =     $newie_theme_options['newie_paragraph_font_weight'];

    $newie_paragraph_font_style      =     $newie_theme_options['newie_paragraph_font_style'];

    $newie_paragraph_line_height     =     $newie_theme_options['newie_paragraph_line_height'];

    $newie_paragraph_letter_space    =     $newie_theme_options['newie_paragraph_letter_space'];   


  /*====================Heading Typography=====================*/
    
    $newie_heading_font_family     =     $newie_theme_options['newie_heading_font_family'];

    $newie_h1_font_size            =     $newie_theme_options['newie_h1_font_size'];

    $newie_h2_font_size            =     $newie_theme_options['newie_h2_font_size'];

    $newie_h3_font_size            =     $newie_theme_options['newie_h3_font_size'];

    $newie_h4_font_size            =     $newie_theme_options['newie_h4_font_size'];

    $newie_h5_font_size            =     $newie_theme_options['newie_h5_font_size'];   

    $newie_h6_font_size            =     $newie_theme_options['newie_h6_font_size'];          

 $custom_css = '';



/*====================Primary Color =====================*/

$custom_css .= " .site-title a, p.site-description, .main-navigation ul li a, .widget .widget-title, h1, h2, h3, h4, h5, h6

                  {

                      color: " . $newie_primary_color . ";

                   }

                  ";


   $custom_css .= ".scrollToTop, .widget .search-submit{

      background: " . $newie_primary_color . ";
      
       }

    ";  




/*==================== Site Title Typography=====================*/

  $custom_css .= ".site-title a {

         font-family: "      . $newie_site_title_font_family . ";
       
         font-size: "        . $newie_site_title_font_size .'px'.";

         font-weight: "      . $newie_site_title_font_weight . ";

         font-style: "       . $newie_site_title_font_style . ";
         
         line-height: "      . $newie_site_title_font_height .'px'.";
         
         letter-spacing: "   . $newie_site_title_font_space .'px'."; 


       }

    ";


 /*==================== Site Description Typography=====================*/

  $custom_css .= "p.site-description {

         font-family: "      . $newie_site_des_font_family . ";
       
         font-size: "        . $newie_site_des_font_size .'px'.";

         font-weight: "      . $newie_site_des_font_weight . ";

         font-style: "       . $newie_site_des_font_style . ";
         
         line-height: "      . $newie_site_des_font_height .'px'.";
         
         letter-spacing: "   . $newie_site_des_font_space .'px'.";


       }

    ";   

/*==================== Menu Typography=====================*/

  $custom_css .= ".main-navigation ul li a {

         font-family: "      . $newie_site_menu_font_family . ";
       
         font-size: "        . $newie_site_menu_font_size .'px'.";

         font-weight: "      . $newie_site_menu_font_weight . ";

         font-style: "       . $newie_site_menu_font_style . ";
         
         line-height: "      . $newie_site_menu_font_height .'px'.";
         
         letter-spacing: "   . $newie_site_menu_font_space .'px'.";


       }

    ";   


  /*==================== Paragraph Typography=====================*/

  $custom_css .= "body p, p {

         font-family: "      . $newie_paragraph_font_family . ";
       
         font-size: "        . $newie_paragraph_font_size .'px'.";

         font-weight: "      . $newie_paragraph_font_weight . ";

         font-style: "       . $newie_paragraph_font_style . ";
         
         line-height: "      . $newie_paragraph_line_height.'px'.";
         
         letter-spacing: "   . $newie_paragraph_letter_space.'px'.";


       }

    ";  

  /*==================== Heading Typography=====================*/

    $custom_css .= " h1, h1 a, h2, h2 a, h3, h3 a, h4, h4 a, h5, h5 a, h6, h6 a {

         font-family: " . $newie_heading_font_family . ";
       
         }

    ";          


    $custom_css .= " h1, h1 a {

         font-size: " . $newie_h1_font_size .'px'.";

       }
    ";   


    $custom_css .= " h2, h2 a {

         font-size: " . $newie_h2_font_size .'px'.";

       }
    "; 

  
   $custom_css .= " h3, h3 a {

         font-size: " . $newie_h3_font_size .'px'.";

       }
    ";    

  $custom_css .= " h4, h4 a {

         font-size: " . $newie_h4_font_size .'px'.";

       }
    ";   

  $custom_css .= " h5, h5 a {

         font-size: " . $newie_h5_font_size .'px'.";

       }
    ";  

  $custom_css .= " h6, h6 a {

         font-size: " . $newie_h6_font_size .'px'.";

       }
    ";        




  /*==================== Basic color Dynamic Css =====================*/

    $custom_css .= ".newie-logo-text{

         background-color: " . $newie_top_header_bg_color . ";}

    ";



    $custom_css .= "footer .top-footer, footer .widget h2 span{

         background-color: " . $newie_top_footer_bg_color . ";}

    ";


  $custom_css .= ".widget .widget-title{

         color: " .  $newie_top_footer_title_color  . ";}

    ";


    $custom_css .= ".widget h2 span{

        border: 1px solid " .  $newie_top_footer_border_color  . ";}

     ";

    $custom_css .= ".widget .widget-title::before, .widget .widget-title::after{
        
        background: " . $newie_top_footer_border_color . ";
      }
      

     ";


    $custom_css .= ".widget ul li a{

         color: " .  $newie_top_footer_text_color  . ";}

    ";


    $custom_css .= ".site-footer .site-info {

      background: " .  $newie_bottom_footer_bg_color  . "; }

    ";


    $custom_css .= " .site-info span.copy-right-text {

      color: " .  $newie_bottom_footer_text_color  . "; }

    ";

   
    $custom_css .= " .site-title a {

      color: " .  $newie_site_title_color  . "; }

    ";

    
    $custom_css .= " .site-title a:hover{

         color: " . $newie_site_title_hover_color . ";}

    ";

    $custom_css .= " p.site-description{

         color: " . $newie_site_tagline_color . ";}

    ";


    $custom_css .= " body p, p{

         color: " . $newie_body_paragraph_color . ";}

    ";
  
   
    $custom_css .= " h1, h1 a, h2, h2 a, h3, h3 a, h4, h4 a, h5, h5 a, h6, h6 a{

         color: " . $newie_heading_h1_h6_color . ";}

    ";


    $custom_css .= " a, body a{

         color: " . $newie_link_color . ";}

    ";

    $custom_css .= " a:hover, body a:hover{

         color: " . $newie_link_hover_color . ";}

    ";

 /*==================== Advance color Dynamic Css =====================*/


  $custom_css .= " .header-nav {

      background: " . $newie_navbar_bg_color . ";}

    ";

  $custom_css .= ".main-navigation ul li a {

      color: " . $newie_menu_text_color . ";}

    ";

  
  $custom_css .= ".main-navigation ul li.current-menu-item a, .main-navigation ul li a:hover {

      color: " . $newie_menu_text_hover_color . ";}

    ";


  $custom_css .= "li.current_page_item a {

      color: " . $newie_menu_active_color . ";}

    ";  

  $custom_css .= "#featured-slider .feature-description figcaption h2{

      color: " . $newie_slider_text_color . "; }

    ";  


  $custom_css .= "#featured-slider .feature-description figcaption {

      background: " . $newie_slider_box_bg_color . ";
      
      color: " . $newie_slider_text_color . "; 

       }

    ";      








/*====================Top Scroll Color=====================*/


 $custom_css .= ".scrollToTop {

      background: " . $newie_top_scroll_bg_color . ";
      
         color:   " . $newie_top_scroll_icon_color . "; }

    ";  



    /*------------------------------------------------------------------------------------------------- */


    /*custom css*/



    wp_add_inline_style('newie-style', $custom_css);



}

endif;

add_action('wp_enqueue_scripts', 'newie_dynamic_css', 99);